Skip to main content
GET
/
api
/
v2
/
projects
/
{projectKey}
/
environments
/
{environmentKey}
/
context-attributes
Get context attribute names
curl --request GET \
  --url https://app.launchdarkly.com/api/v2/projects/{projectKey}/environments/{environmentKey}/context-attributes \
  --header 'Authorization: <api-key>'
{
  "items": [
    {
      "kind": "user",
      "names": [
        {
          "name": "/firstName",
          "weight": 2225,
          "redacted": false
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string<string>
required

The project key

environmentKey
string<string>
required

The environment key

Query Parameters

filter
string<string>

A comma-separated list of context filters. This endpoint only accepts kind filters, with the equals operator, and name filters, with the startsWith operator. To learn more about the filter syntax, read Filtering contexts and context instances.

limit
integer<int64>

Specifies the maximum number of items in the collection to return (max: 100, default: 100)

Response

Context attribute names collection response

items
object[]
required

A collection of context attribute name data grouped by kind.